Index: Makefile
==================================================================
--- Makefile
+++ Makefile
@@ -33,10 +33,11 @@
 SUB_LIST=	APP_SHORTNAME=${PORTNAME} \
 		LOG_DIR=${LOG_DIR} \
 		USER=${USER}\
 		PID_FILE=${PID_FILE} \
 		APP_HOME=${PREFIX}/${DISTNAME}
+PLIST_SUB=	APP_HOME=${DISTNAME}
 
 pre-everything::
 	@${ECHO_MSG} ""
 	@${ECHO_MSG} "To build you should have at least 2Gb of Ram (Or build will fail with java OOM Exception)"
 	@${ECHO_MSG} "There's no dependensy on maven3, since JBoss can handle itself."

